<?php

namespace App\ViewModels\Galeria\GaleriaRegistrationViewModel;

use App\Utils\Builder;

class GaleriaRegistrationViewModelBuilder implements Builder {
	protected $descricao;
	protected $id_clinica;
	protected $id_medico;
	protected $id_paciente;
	protected $imagem;
	protected $criado_por;

	public function setDescricao($descricao) {

		$this->descricao = $descricao;
		return $this;

	}

	public function setIdClinica($id_clinica) {

		$this->id_clinica = $id_clinica;
		return $this;

	}

	public function setIdMedico($id_medico) {

		$this->id_medico = $id_medico;
		return $this;

	}

	public function setIdPaciente($id_paciente) {

		$this->id_paciente = $id_paciente;
		return $this;

	}

	public function setImagem($imagem) {

		$this->imagem = $imagem;
		return $this;

	}

	public function setCriadoPor($criado_por) {

		$this->criado_por = $criado_por;
		return $this;

	}

	public function build(): GaleriaRegistrationViewModel {

		$procedimento_registration_vm = new GaleriaRegistrationViewModel();

		$procedimento_registration_vm->setDescricao( $this->descricao );
		$procedimento_registration_vm->setIdMedico( $this->id_medico );
		$procedimento_registration_vm->setIdPaciente( $this->id_paciente );
		$procedimento_registration_vm->setIdClinica( $this->id_clinica );
		$procedimento_registration_vm->setImagem( $this->imagem );
		$procedimento_registration_vm->setCriadoPor( $this->criado_por );

		return $procedimento_registration_vm;

	}

}